{ config, pkgs, lib, ... }:
{
  virtualisation.libvirtd.enable = true;
  programs.dconf.enable = true;

  boot.extraModprobeConfig = "options kvm_amd nested=1";
  boot.kernelModules = [ "kvm-amd" "kvm-intel" ];

  users.users.felixalb.extraGroups = [ "libvirtd" ];

  fileSystems."/var/lib/libvirt/images" = {
    device = "/tank/iso";
    options = [ "bind" ];
  };

  # On a gui-enabled machine, connect with:
  # $ virt-manager --connect "qemu+ssh://defiant/system?socket=/var/run/libvirt/libvirt-sock"
}
